/**
 * 渲染进程配置入口main.js
 * @author andy
 */
import { createApp } from 'vue'
import './style.scss'
import App from './App.vue'
import { launchApp } from '@/windows/actions'
import Router from './router'
import Pinia from './pinia'
// 引入插件
import Plugins from './plugins'

launchApp().then(config => {
    if(config) {
        // 全局存储窗口配置
        window.config = config
    }
    createApp(App)
        .use(Router)
        .use(Pinia)
        .use(Plugins)
        .mount('#app')
})
