/**
 * 状态管理(全局模块)
 * @author andy
 */
import { defineStore } from 'pinia'
export const appState = defineStore('appStore', {
    state: () => ({
        lang: null,

        config: {
            // 背景换肤
            skin: null,
            layout: 'macos',
            dock: 'compact',
            // swiper索引
            swiperIndex: 0,
            // swiper滚动方向
            swiperDirection: 'vertical', // 水平-horizontal 垂直-vertical

            // 功能配置
            isNewin: false, // 新窗口打开路由页面
            // 窗口显示配置
            notify: true, // 公告
            search: false, // 搜索
            wallpaper: true, // 壁纸换肤
            setting: true, // 设置
            topmost: true, // 置顶窗口
            systime: true, // 系统时间
            avatar: true, // 显示头像
        }
    }),
    getters: {},
    actions: {
        // 设置多语言
        setLang(data) {
            this.lang = data
            document.querySelector('html').setAttribute('lang', data)
        },

        // 更新配置
        updateConfig(type, data) {
            this.config[type] = data
        },
    },
    // 本地持久化存储(默认存储localStorage)
    persist: true
})
