import { defineStore } from 'pinia'
export const authState = defineStore('authStore', {
    state: () => ({
        // 登录验证token
        authorization: null,
        // 登录用户信息
        userInfo: null,
    }),
    getters: {},
    actions: {
        // 设置登录验证key
        setAuthorization(data) {
            this.authorization = data
        },

        // 设置登录信息
        setUserInfo(data) {
            this.userInfo = data
        },

        // 退出登录
        logout() {
            this.authorization = null
            this.userInfo = null
        }
    },
    // 本地持久化存储(默认存储localStorage)
    persist: true
})
